Skip to content

NLU / NLP Methods

Đây là những phương pháp thực sự thực hiện phân tích và chuyển đổi văn bản đầu vào.

Phân tích văn bản

Request

Phương pháp này phân tích dữ liệu đầu vào và phát hiện nội dung có vấn đề, đoạn văn bản thể hiện cảm xúc, thực thể, chủ đề, cấu trúc cụm từ, các loại từ, từ dừng, v.v.

Security
Tisane-API-Key
Headers
Content-Typestring
Example:application/json
Bodyapplication/jsonrequired
languagestringrequired
contentstringrequired
settingsobject
POST
/parse
curl -i -X POST \
  https://api.tisane.ai/parse \
  -H 'Content-Type: application/json' \
  -H 'Ocp-Apim-Subscription-Key: YOUR_API_KEY_HERE' \
  -d '{
    "language": "en",
    "content": "Hello Tisane API!!"
  }'

Responses

Successful response

Bodyapplication/json
textstringrequired

Văn bản đầu vào.

languagestring

Mã ngôn ngữ, khi sử dụng mã nhận dạng ngôn ngữ.

memoryobject(Memory)

Trạng thái sau khi phân tích. Có thể được sử dụng để thiết lập trạng thái của các phân tích trong tương lai. (Đặt state thành true để hiển thị).

topicsArray of any
abuseArray of objects
sentence_listArray of objects
entities_summaryArray of objects
sentiment_expressionsArray of objects
Response
{ "text": "Hello Tisane API!", "entities_summary": [ {} ] }